# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Text-Emoticon
Version:        0.04
Release:        alt2_11
Summary:        Factory class for Yahoo! and MSN emoticons
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Text-Emoticon/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Text-Emoticon-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(UNIVERSAL/require.pm)
Source44: import.info

%description
Text::Emoticon is a factory class to dispatch MSN/YIM emoticon set.
It's made to become handy to be used in other applications like
Kwiki/MT plugins.

%prep
%setup -q -n Text-Emoticon-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_11
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_10
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_8
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_8
- fc import

